2.0.0pre configure fix for zlib #1108

Merged
merged 1 commit into from Sep 18, 2011

Projects

None yet

3 participants

@jonforums
Contributor

Needed to allow build to proceed on Win7 32bit. The build was failing because the vendor/zlib dependency hadn't been built.

Configuration WFM when tested with ruby configure (on by default), ruby configure --with-vendor-zlib, and ruby configure --without-vendor-zlib

Appears relevant to master

@jonforums
Contributor

Why hasn't this been merged? It still appears to be needed when trying to build master from Windows.

FWIW, currently this trivial patch allows me to build up to the point of melbourne.rb segfaulting my 1.9.3 build ruby https://gist.github.com/1222357

@luislavena
Member

Hello @brixen, can I apply this to master?

This change is required to properly build on mingw-w64

Thank you.

@brixen brixen merged commit a3d6437 into rubinius:2.0.0pre Sep 18, 2011
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment